%define upstream_name plaster

Name:           python-%{upstream_name}
Version:        1.0
Release:        %mkrel 4
Summary:        A loader interface around multiple config file formats
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/plaster/
Source0:        https://files.pythonhosted.org/packages/37/e1/56d04382d718d32751017d32f351214384e529b794084eee20bb52405563/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

%description
plaster is a loader interface around multiple config file formats. It exists to
define a common API for applications to use when they wish to load
configuration. The library itself does not aim to handle anything except a
basic API that applications may use to find and load configuration settings.
Any specific constraints should be implemented in a pluggable loader which can
be registered via an entrypoint.

%package -n     python3-%{upstream_name}
Summary:        A loader interface around multiple config file formats
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{upstream_name}
plaster is a loader interface around multiple config file formats. It exists to
define a common API for applications to use when they wish to load
configuration. The library itself does not aim to handle anything except a
basic API that applications may use to find and load configuration settings.
Any specific constraints should be implemented in a pluggable loader which can
be registered via an entrypoint.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%doc README.rst
%{python3_sitelib}/plaster
%{python3_sitelib}/plaster-%{version}-*.egg-info


%changelog
* Thu Jul 23 2020 ovitters <ovitters> 1.0-4.mga8
+ Revision: 1608292
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 1.0-3.mga8
+ Revision: 1534476
- Mageia 8 Mass Rebuild

* Thu Oct 03 2019 guillomovitch <guillomovitch> 1.0-2.mga8
+ Revision: 1449133
- new version 3.8
- drop python 2 support

* Mon Jul 01 2019 guillomovitch <guillomovitch> 1.0-1.mga8
+ Revision: 1417026
- imported package python-plaster

